void dataflow()
{
//=========Macro describing the NA49 data flow
//======== from DAQ to ROOT miniDSTs

   char *slide="dataflow";
   InitCanvas(slide);

   ptit = new TPaveLabel(6,22.7,14,23.8,"NA49 Data Flow");
   ptit->SetFillColor(41);
   ptit->Draw();

   daq = new TPavesText(2,17,8,21,8,"tr");
   daq->SetCornerRadius(0.2);
   daq->SetFillColor(7);
   daq->Draw("arctr");

   arrow = new TArrow();
   arrow->SetLineWidth(12);
   arrow->SetFillColor(1);
   arrow->DrawArrow(5,17,5,10.5,0.03,"|>");
   arrow->DrawArrow(5,7,5,5,0.03,"|>");

   arc = new TArc(5,14,1.5);
   arc->SetFillColor(5);
   arc->Draw();

   dst = new TPavesText(3,7,7,9.5,8,"tr");
   dst->SetCornerRadius(0.2);
   dst->SetFillColor(18);
   dst->Draw("arctr");

   mini = new TPavesText(3.5,2,6.5,4,8,"tr");
   mini->SetCornerRadius(0.2);
   mini->SetFillColor(42);
   mini->Draw("arctr");

   t = new TText();
   t->SetTextFont(72);
   t->SetTextColor(2);
   t->SetTextSize(0.027);
   t->SetTextAlign(22);
   t->DrawText(5,20,"DAQ: Sony tapes");
   t->DrawText(5,19,"Robot");
   t->DrawText(5,18,"100 Gbytes/tape");
   t->DrawText(5,8.6,"DSTs");
   t->DrawText(5,7.6,"10 Gbytes/tape");
   t->DrawText(5,3.5,"Root files");
   t->DrawText(5,2.5,"1 Gbyte/file");
   t->DrawText(5,14.4,"Recons");
   t->DrawText(5,13.6,"Dspack");

   t->SetTextFont(62);
   t->SetTextColor(4);
   t->SetTextSize(0.03);
   t->SetTextAlign(12);
   Float_t xt = 9.5;
   t->SetTextSize(0.033);
   t->DrawText(xt,21,"Pb+Pb at 160 GeV/nucleon");
   t->DrawText(xt,20,"October 96 run");
   t->DrawText(xt,19,"12 Terabytes in 5 weeks");
   t->DrawText(xt,18,"1.2 events/second");
   t->DrawText(xt,17,"Event Size = 10 Mbytes");

   t->DrawText(xt,14,"Reconstruction farm on SHIFT");
   t->DrawText(xt,13,"20 HP PA8000");
   t->DrawText(xt,12,"1 Mbyte per event on DST");
   t->DrawText(xt,11,"1800 reconstructed tracks/event");
   t->DrawText(xt,10,"10 minutes/event");

   t->DrawText(xt,5,"Physics Analysis farm");
   t->DrawText(xt,4,"Linux PCs with parallel ROOT");
   t->DrawText(xt,3,"100 Kbytes/event");
   t->DrawText(xt,2,"50 events/second");
   
   Signe(slide);
}
